Module java.xml.crypto
Package javax.xml.crypto

# Class KeySelector.Purpose

java.lang.Object
javax.xml.crypto.KeySelector.Purpose

Enclosing class:
  `KeySelector`

public static class KeySelector.Purpose extends Object
The purpose of the key that is to be selected.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final KeySelector.Purpose`
`DECRYPT`
A key for decrypting.
`static final KeySelector.Purpose`
`ENCRYPT`
A key for encrypting.
`static final KeySelector.Purpose`
`SIGN`
A key for signing.
`static final KeySelector.Purpose`
`VERIFY`
A key for verifying.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string representation of this purpose ("sign", "verify", "encrypt", or "decrypt").

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### SIGN

public static final KeySelector.Purpose SIGN
A key for signing.

### VERIFY

public static final KeySelector.Purpose VERIFY
A key for verifying.

### ENCRYPT

public static final KeySelector.Purpose ENCRYPT
A key for encrypting.

### DECRYPT

public static final KeySelector.Purpose DECRYPT
A key for decrypting.

## Method Details

### toString

public String toString()
Returns a string representation of this purpose ("sign", "verify", "encrypt", or "decrypt").

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of this purpose